Skip to main content
Help

Original post by: knroo6 ,

Title:

G Priv Baby Luxe Bricked, need 1.0.1 Firmware

Text:

Similar to a guy I saw on here with a T-Priv 3, I bricked my mod after doing a firmware update wrong. I require the stock firmware for a G Priv Baby Luxe in order to get my baby working again, any help would be amazing.

Device:

E-Cigarette Vaporizer

Status:

open